Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions | Variables
ossl_ssl.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Data Structures
struct | tmp_dh_callback_args
struct | npn_select_cb_common_args

## Macros
#define | numberof(ary) (int)(sizeof(ary)/sizeof((ary)[0]))
#define | TO_SOCKET(s) (s)
#define | GetSSLCTX(obj, ctx)
#define | ssl_get_error(ssl, ret) SSL_get_error((ssl), (ret))
#define | rb_intern(s) rb_intern_const(s)
#define | DefIVarID(name)

## Functions
void | Init_ossl_ssl (void)

## Variables
VALUE | mSSL
VALUE | cSSLContext
VALUE | cSSLSocket
const rb_data_type_t | ossl_ssl_type

## Macro Definition Documentation

## ◆ DefIVarID

#define DefIVarID | ( |  | name | ) |

Value:
do \
id_i_##name = rb_intern("@"#name); while (0)

## ◆ GetSSLCTX

#define GetSSLCTX | ( |  | obj,
|  |  | ctx
| ) |  |

Value:
do { \
TypedData_Get_Struct((obj), SSL_CTX, &ossl_sslctx_type, (ctx)); \
} while (0)

Definition at line 22 of file ossl_ssl.c.

## ◆ numberof

#define numberof | ( |  | ary | ) | (int)(sizeof(ary)/sizeof((ary)[0]))

Definition at line 14 of file ossl_ssl.c.

## ◆ rb_intern

#define rb_intern | ( |  | s | ) | rb_intern_const(s)

Definition at line 2387 of file ossl_ssl.c.

## ◆ ssl_get_error

#define ssl_get_error | ( |  | ssl,
|  |  | ret
| ) |  | SSL_get_error((ssl), (ret))

Definition at line 1615 of file ossl_ssl.c.

## ◆ TO_SOCKET

#define TO_SOCKET | ( |  | s | ) | (s)

Definition at line 19 of file ossl_ssl.c.

## Function Documentation

## ◆ Init_ossl_ssl()

void Init_ossl_ssl | ( | void |  | ) |

Definition at line 2389 of file ossl_ssl.c.

References eOSSLError, id_call, mOSSL, rb_cIO, rb_define_class_under(), rb_define_module(), rb_define_module_under(), rb_eStandardError, rb_intern, rb_mWaitReadable, and rb_mWaitWritable.

## Variable Documentation

## ◆ cSSLContext

VALUE cSSLContext

Definition at line 29 of file ossl_ssl.c.

## ◆ cSSLSocket

VALUE cSSLSocket

Definition at line 30 of file ossl_ssl.c.

## ◆ mSSL

VALUE mSSL

Definition at line 26 of file ossl_ssl.c.

Referenced by Init_ossl_ssl_session().

## ◆ ossl_ssl_type

const rb_data_type_t ossl_ssl_type

Initial value:
= {
"OpenSSL/SSL",
{
0, ossl_ssl_free,
},
0, 0, RUBY_TYPED_FREE_IMMEDIATELY,
}

Definition at line 1524 of file ossl_ssl.c.

obj
const VALUE VALUE obj
Definition: rb_mjit_min_header-2.7.0.h:5742
RUBY_TYPED_FREE_IMMEDIATELY
#define RUBY_TYPED_FREE_IMMEDIATELY
Definition: ruby.h:1207
rb_intern
#define rb_intern(s)
Definition: ossl_ssl.c:2387
name
const char * name
Definition: nkf.c:208